## org.hibernate.ejb.packaging
Class Entry

    java.lang.Object
      org.hibernate.ejb.packaging.Entry

    public class Entry

extends Object

Represent a JAR entry Contains a name and an optional Input stream to the entry

Constructor Summary
`Entry(String name, InputStream is)`

Method Summary
`boolean` `equals(Object o)`
`InputStream` `getInputStream()`
`String` `getName()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Entry

    public Entry(String name,
                 InputStream is)

Method Detail

### getName

    public String getName()

### getInputStream

    public InputStream getInputStream()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.